// #define F_CPU 16000000 // 16MHz
 #define F_CPU  8000000 // 16MHz
//#define F_CPU 3686400 // 3.6 MHz

#include <stdio.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include "lcd.h"
#include "delay_x.h"



void init() {
	lcd_init(LCD_DISP_ON);
	lcd_clrscr();

}


int main(void)
{

	init();
	sei();

	lcd_gotoxy(0,0);
	lcd_puts("Mega LCD test");

		_delay_ms(1000);

	lcd_gotoxy(0,1);
	lcd_puts("Test Line 2 data");

		_delay_ms(1000);

	lcd_gotoxy(0,2);
	lcd_puts("Test Line 3 data");

		_delay_ms(1000);

	lcd_gotoxy(0,3);
	lcd_puts("Test Line 4 data");

return 0;
}



// END.


